#!/bin/sh
if cd "`dirname \"$0\"`"; then
    _SCRIPTDIR=`pwd`
    cd "$OLDPWD" || exit 1
else
    exit 1
fi

_JAVA_HOME="$_SCRIPTDIR/../../jre"

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$_SCRIPTDIR/../../../jre"
fi

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$JAVA_HOME"
fi

_RUNJAVA="$_JAVA_HOME/bin/java"

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA="$_JAVA_HOME/Contents/Home/bin/java"
fi

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA=java
fi

"$_RUNJAVA" -jar "$_SCRIPTDIR/"addnumbers-server-*.jar
